<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginHorizontal="8dp"
    android:layout_marginVertical="8dp">

    <ImageView
        android:id="@+id/iv"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginLeft="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="ContentDescription,RtlHardcoded" />

    <TextView
        android:id="@+id/tv_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:paddingEnd="5dp"
        android:text="File name"
        android:textColor="#333333"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@id/tv_size"
        app:layout_constraintLeft_toRightOf="@id/iv"
        app:layout_constraintRight_toLeftOf="@id/fl_selector"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="HardcodedText,MissingConstraints,RtlHardcoded,RtlSymmetry" />

    <TextView
        android:id="@+id/tv_size"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="20MB"
        android:textColor="#999999"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="@id/tv_name"
        app:layout_constraintTop_toBottomOf="@id/tv_name"
        tools:ignore="HardcodedText" />

    <TextView
        android:id="@+id/tv_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:text="January 5, 2024"
        android:textColor="#999999"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@id/tv_size"
        app:layout_constraintTop_toBottomOf="@id/tv_name"
        tools:ignore="HardcodedText,RtlHardcoded" />

    <FrameLayout
        android:id="@+id/fl_selector"
        android:layout_width="36dp"
        android:layout_height="36dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_selector"
            android:layout_width="18dp"
            android:layout_height="18dp"
            android:layout_gravity="center"
            android:src="@drawable/bg_media_selector"
            tools:ignore="ContentDescription,RtlHardcoded" />
    </FrameLayout>


</androidx.constraintlayout.widget.ConstraintLayout>